Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.path
Class SimpleIterStep

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.Arr
                  org.basex.query.xquery.path.Step
                      org.basex.query.xquery.path.SimpleIterStep

    public final class SimpleIterStep

extends Step

Path expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.path.Step
`axis, test`

Fields inherited from class org.basex.query.xquery.expr.Arr
`expr`

Constructor Summary
`SimpleIterStep(Axis a, Test t, Expr[] p)` Constructor.

Method Summary
`NodeIter` | `iter(XQContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.xquery.path.Step
`comp, plan, returned, simple, toString, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleIterStep

    public SimpleIterStep(Axis a,
                          Test t,
                          Expr[] p)

  Constructor.

  Parameters:
    `a` - axis
    `t` - node test
    `p` - predicates

Method Detail

### iter

    public NodeIter iter(XQContext ctx)
                  throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items.

  Overrides:
    `iter` in class `Step`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD